# Configure Rails Envinronment
ENV["RAILS_ENV"] = "test"

require File.expand_path("../dummy/config/environment.rb",  __FILE__)
require 'rspec/rails'
require 'shoulda-matchers'
require 'factories'
require 'webmock/rspec'
WebMock.disable_net_connect!(allow_localhost: true)
Geocoder.configure(lookup: :test)
Geocoder::Lookup::Test.set_default_stub(
  [
    {
      'latitude'     => 40.7143528,
      'longitude'    => -74.0059731,
      'address'      => 'New York, NY, USA',
      'state'        => 'New York',
      'state_code'   => 'NY',
      'country'      => 'United States',
      'country_code' => 'US'
    }
  ]
)

ENGINE_RAILS_ROOT=File.join(File.dirname(__FILE__), '../')

# Requires supporting ruby files with custom matchers and macros, etc,
# in spec/support/ and its subdirectories.
Dir[File.join(ENGINE_RAILS_ROOT, "spec/support/**/*.rb")].each {|f| require f }

RSpec.configure do |config|
  config.infer_spec_type_from_file_location!
  config.use_transactional_fixtures = true
  config.raise_errors_for_deprecations!

  config.include Devise::TestHelpers,                  type: :controller
  config.include Rails.application.routes.url_helpers, type: :controller

  config.before(:each) do
    NotificationWorker.stub(:perform_async)
    UpdateCompletenessProgressWorker.stub(:perform_async)
    WelcomeWorker.stub(:perform_async)
  end
end
